curl -X GET "https://api.aspose.com/v3.0/cells/myWorkbook.xlsx/worksheets/Sheet1/cells/firstcell" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-H "Accept: application/json"
Parameters
| Parameter |
Type |
Description |
Required |
cellOrMethodName |
string |
Must be set to firstcell to retrieve the first cell. |
Yes |
fileName |
string |
Name of the workbook file (e.g., myWorkbook.xlsx). |
Yes |
worksheet |
string |
Name of the worksheet (e.g., Sheet1). |
Yes |
Authorization |
header |
Bearer token for authentication. |
Yes |
{
"Cell": {
"Name": "A1",
"Row": 0,
"Column": 0,
"Value": "Category",
"Type": "IsString",
"IsFormula": false,
"IsMerged": false,
"IsArrayHeader": false,
"IsInArray": false,
"IsErrorValue": false,
"IsInTable": false,
"IsStyleSet": false,
"HtmlString": "<Font Style=\"FONT-FAMILY: Calibri;FONT-SIZE: 11pt;COLOR: #ffffff;\">Category</Font>",
"Style": {
"link": {
"Href": "/style",
"Rel": "self"
}
}
},
"Code": "200",
"Status": "OK"
}
Status Codes
| Code |
Description |
| 200 |
Request succeeded – cell returned. |
| 401 |
Unauthorized – invalid token. |
| 404 |
Not Found – file, worksheet, or cell does not exist. |
| 500 |
Internal Server Error. |